﻿$ErrorActionPreference = 'Stop'

$packageName = 'rambox'
$url32       = 'https://github.com/saenzramiro/rambox/releases/download/0.5.15/Rambox-0.5.15-ia32-win.zip'
$url64       = 'https://github.com/saenzramiro/rambox/releases/download/0.5.15/Rambox-0.5.15-x64-win.zip'
$checksum32  = 'F3A4E35BDED6C4500E86C8E9C581C8A60A44D5A45A816701D2F9E7EE6B752D67'
$checksum64  = '4E2E162ABAFB51FD326B496C861B8E106741282CBF67D98AD4E8E028CA583E66'
$toolsPath   = $(Split-Path -parent $MyInvocation.MyCommand.Definition)

$packageArgs = @{
  packageName    = $packageName
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs

$FileFullPath = get-childitem $toolsPath -recurse -include Rambox.exe | select -First 1
    
Install-ChocolateyShortcut -shortcutFilePath "$env:ALLUSERSPROFILE\Microsoft\Windows\Start Menu\Programs\Rambox.lnk" $FileFullPath
